Skip to main content
GET
/
partner
/
reward_templates
/
:id
curl https://api.thanxsandbox.com/partner/reward_templates/abc123def456?merchant_id={merchant_id} \
  -X GET \
  -H 'X-ClientId: {client_id}' \
  -H 'Accept-Version: v4.0' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {access_token}'
{
  "reward_template": {
    "id": "abc123def456",
    "name": "Free Coffee",
    "type": "discount",
    "subtype": "free_item",
    "description": "One free coffee, any size",
    "fine_print": "Valid at participating locations",
    "discount": {
      "type": "free_item",
      "value": null
    },
    "redemption_venue": "in_store",
    "images": {
      "small": "https://images.thanx.com/reward_template_small.png",
      "large": "https://images.thanx.com/reward_template_large.png"
    }
  }
}
Scope required: rewards.issue
This endpoint returns a specific published reward template for a given merchant.

Parameters

id
string
required
Reward template ID
merchant_id
string
required
Merchant ID

Response

id
string
Reward template ID
name
string
Template name
type
string
Reward type
subtype
string
Reward subtype
description
string
Short description of the reward
fine_print
string
Terms and conditions
discount
hash
Discount details
redemption_venue
string
Where the reward can be redeemed
images
hash
Image URLs for the reward template
curl https://api.thanxsandbox.com/partner/reward_templates/abc123def456?merchant_id={merchant_id} \
  -X GET \
  -H 'X-ClientId: {client_id}' \
  -H 'Accept-Version: v4.0' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {access_token}'
{
  "reward_template": {
    "id": "abc123def456",
    "name": "Free Coffee",
    "type": "discount",
    "subtype": "free_item",
    "description": "One free coffee, any size",
    "fine_print": "Valid at participating locations",
    "discount": {
      "type": "free_item",
      "value": null
    },
    "redemption_venue": "in_store",
    "images": {
      "small": "https://images.thanx.com/reward_template_small.png",
      "large": "https://images.thanx.com/reward_template_large.png"
    }
  }
}